console.log(process.title)

const { createWindow } = require("./mainWindow")
const { app } = require('electron')

const rightClickMenu = require("./contextMenu")

function startup(opts) {
	app.whenReady().then(() => {
		let win = createWindow(opts)
		win.webContents.openDevTools()
		win.once('ready-to-show', () => {
			win.show()
		})
		app.on('window-all-closed', () => {
			rightClickMenu();
			app.quit();
		})
	})
}
module.exports = {
	startup
}
