const contextMenu = require('electron-context-menu');

const rightClickMenu = contextMenu({
	append: (defaultActions, parameters, browserWindow) => [
		{
			label: 'Search DuckDuckGo for “{selection}”',
			visible: parameters.selectionText.trim().length > 0,
			click: () => {
				shell.openExternal(`https://duckduckgo.com/?q=${encodeURIComponent(parameters.selectionText)}`);
			}
		}
	],
	showSearchWithGoogle: false
});

module.exports = rightClickMenu;
